Browse Source

various updates for libraries, build-tools, and compile SDK

Andrew Dolgov 1 year ago
parent
commit
e83d4ca2ab

+ 1 - 1
build.gradle

@@ -4,7 +4,7 @@ buildscript {
         jcenter()
     }
     dependencies {
-        classpath 'com.android.tools.build:gradle:2.2.3'
+        classpath 'com.android.tools.build:gradle:2.3.2'
     }
 }
 

+ 2 - 2
gradle/wrapper/gradle-wrapper.properties

@@ -1,6 +1,6 @@
-#Fri Feb 17 15:18:18 MSK 2017
+#Mon May 29 14:03:50 MSK 2017
 distributionBase=GRADLE_USER_HOME
 distributionPath=wrapper/dists
 zipStoreBase=GRADLE_USER_HOME
 zipStorePath=wrapper/dists
-distributionUrl=https\://services.gradle.org/distributions/gradle-2.14.1-all.zip
+distributionUrl=https\://services.gradle.org/distributions/gradle-3.3-all.zip

+ 7 - 7
org.fox.ttrss/build.gradle

@@ -1,8 +1,8 @@
 apply plugin: 'com.android.application'
 
 android {
-    compileSdkVersion 23
-    buildToolsVersion "23.0.2"
+    compileSdkVersion 25
+    buildToolsVersion '25.0.0'
 
     defaultConfig {
         applicationId "org.fox.ttrss"
@@ -29,10 +29,11 @@ dependencies {
     compile files('libs/dashclock-api-r1.1.jar')
     compile files('libs/jsoup-1.6.1.jar')
     compile files('libs/universal-image-loader-1.9.3.jar')
-    compile 'com.android.support:cardview-v7:23.1.1'
-    compile 'com.android.support:support-v4:23.1.1'
-    compile 'com.google.code.gson:gson:2.4'
-    compile 'com.android.support:appcompat-v7:23.1.1'
+    compile 'com.android.support:cardview-v7:25.3.1'
+    compile 'com.android.support:support-v4:25.3.1'
+    compile 'com.android.support:appcompat-v7:25.3.1'
+    compile 'com.android.support:customtabs:25.3.1'
+    compile 'com.google.code.gson:gson:2.7'
     compile 'com.shamanland:fab:0.0.5'
     compile 'ch.acra:acra:4.5.0'
     compile 'com.ToxicBakery.viewpager.transforms:view-pager-transforms:[email protected]'
@@ -40,7 +41,6 @@ dependencies {
     compile 'com.viewpagerindicator:library:2.4.1'
     compile 'com.nhaarman.listviewanimations:lib-core:[email protected]'
     compile 'com.nhaarman.listviewanimations:lib-manipulation:[email protected]'
-    compile 'com.android.support:customtabs:23.0.0'
     compile files('libs/nineoldandroids-2.4.0.jar')
     compile files('libs/YouTubeAndroidPlayerApi.jar')
 }

+ 1 - 1
taskerlocaleapi/build.gradle

@@ -2,7 +2,7 @@ apply plugin: 'com.android.library'
 
 android {
     compileSdkVersion 19
-    buildToolsVersion "20.0.0"
+    buildToolsVersion '25.0.0'
 
     defaultConfig {
         minSdkVersion 3